<html>
<head>
<title>Czytnik RSS</title>
</head>
<body>
<?php
//wskazuje plik XML
$feed = "http://media2.pl/rss,news,technologie.xml";
//tworzy obiekt klasy SimpleXMLElement
$sxml = simplexml_load_file($feed);
foreach ($sxml->attributes() as $key => $value){
  echo "<p>RSS $key $value</p>\n";
}
echo "<h2>". $sxml->channel->title. "</h2>\n";
//poniższe nie zadziała
//echo "<h2>$sxml->channel->title</h2>\n";
//można użyć poniższej składni
//echo "<h2>{$sxml->channel->title}</h2>\n";
echo "<p>\n";
//iteracja przez poszczególne elementy
foreach ($sxml->channel->item as $item){
  $strtemp = "<a href=\"$item->link\">".
    "$item->title</a> $item->description<br /><br />\n";
  echo $strtemp;
}
echo "</p>\n";
?>
</body>
</html>
